ConditionBean (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.ConditionBean class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class ConditionBean

    java.lang.Object
      org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.ConditionBean

    public final class ConditionBean

extends java.lang.Object

Bean that holds condition info.

Constructor Summary
`ConditionBean()`

Method Summary
`void` | `exportProperties(AlertConditionValue acv, javax.servlet.http.HttpServletRequest request, int sessionId, org.hyperic.hq.bizapp.shared.MeasurementBoss mb, boolean typeAlert)`
`java.lang.String` | `getAbsoluteComparator()`
`java.lang.String` | `getAbsoluteValue()`
`java.lang.String` | `getBaselineOption()`
`java.lang.String` | `getComparator()`
`java.lang.String` | `getControlAction()`
`java.lang.String` | `getControlActionStatus()`
`java.lang.String` | `getCustomProperty()`
`java.lang.String` | `getFileMatch()`
`java.lang.Integer` | `getId()`
`int` | `getLogLevel()`
`java.lang.String` | `getLogMatch()`
`java.lang.Integer` | `getMetricId()`
`java.lang.String` | `getMetricName()`
`java.lang.String` | `getPercentage()`
`java.lang.String` | `getPercentageComparator()`
`java.lang.String` | `getThresholdType()`
`double` | `getThresholdValue()`
`java.lang.String` | `getTrigger()`
`void` | `importProperties(AlertConditionValue acv, boolean isTypeAlert, int sessionId, org.hyperic.hq.bizapp.shared.MeasurementBoss mb)`
`boolean` | `isRequired()`
`void` | `setAbsoluteComparator(java.lang.String absoluteComparator)`
`void` | `setAbsoluteValue(java.lang.String absoluteValue)`
`void` | `setBaselineOption(java.lang.String baselineOption)`
`void` | `setControlAction(java.lang.String controlAction)`
`void` | `setControlActionStatus(java.lang.String controlActionStatus)`
`void` | `setCustomProperty(java.lang.String customProperty)`
`void` | `setFileMatch(java.lang.String fileMatch)`
`void` | `setId(java.lang.Integer id)`
`void` | `setLogLevel(int logLevel)`
`void` | `setLogMatch(java.lang.String logMatch)`
`void` | `setMetricId(java.lang.Integer metricId)`
`void` | `setMetricName(java.lang.String metricName)`
`void` | `setPercentage(java.lang.String percentage)`
`void` | `setPercentageComparator(java.lang.String percentageComparator)`
`void` | `setRequired(boolean required)`
`void` | `setThresholdType(java.lang.String thresholdType)`
`void` | `setTrigger(java.lang.String trigger)`
`boolean` | `validate(javax.servlet.http.HttpServletRequest request, org.apache.struts.action.ActionErrors errs, int idx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionBean

    public ConditionBean()

Method Detail

### getId

    public java.lang.Integer getId()

### setId

    public void setId(java.lang.Integer id)

### isRequired

    public boolean isRequired()

### setRequired

    public void setRequired(boolean required)

### getTrigger

    public java.lang.String getTrigger()

### setTrigger

    public void setTrigger(java.lang.String trigger)

### getThresholdType

    public java.lang.String getThresholdType()

### setThresholdType

    public void setThresholdType(java.lang.String thresholdType)

### getComparator

    public java.lang.String getComparator()

### getAbsoluteComparator

    public java.lang.String getAbsoluteComparator()

### setAbsoluteComparator

    public void setAbsoluteComparator(java.lang.String absoluteComparator)

### getPercentageComparator

    public java.lang.String getPercentageComparator()

### setPercentageComparator

    public void setPercentageComparator(java.lang.String percentageComparator)

### getMetricId

    public java.lang.Integer getMetricId()

### setMetricId

    public void setMetricId(java.lang.Integer metricId)

### getMetricName

    public java.lang.String getMetricName()

### setMetricName

    public void setMetricName(java.lang.String metricName)

### getPercentage

    public java.lang.String getPercentage()

### setPercentage

    public void setPercentage(java.lang.String percentage)

### getAbsoluteValue

    public java.lang.String getAbsoluteValue()

### setAbsoluteValue

    public void setAbsoluteValue(java.lang.String absoluteValue)

### getBaselineOption

    public java.lang.String getBaselineOption()

### setBaselineOption

    public void setBaselineOption(java.lang.String baselineOption)

### getControlAction

    public java.lang.String getControlAction()

### setControlAction

    public void setControlAction(java.lang.String controlAction)

### getControlActionStatus

    public java.lang.String getControlActionStatus()

### setControlActionStatus

    public void setControlActionStatus(java.lang.String controlActionStatus)

### getCustomProperty

    public java.lang.String getCustomProperty()

### setCustomProperty

    public void setCustomProperty(java.lang.String customProperty)

### getLogLevel

    public int getLogLevel()

### setLogLevel

    public void setLogLevel(int logLevel)

### getLogMatch

    public java.lang.String getLogMatch()

### setLogMatch

    public void setLogMatch(java.lang.String logMatch)

### getFileMatch

    public java.lang.String getFileMatch()

### setFileMatch

    public void setFileMatch(java.lang.String fileMatch)

### getThresholdValue

    public double getThresholdValue()

### validate

    public boolean validate(javax.servlet.http.HttpServletRequest request,
                            org.apache.struts.action.ActionErrors errs,
                            int idx)

### importProperties

    public void importProperties(AlertConditionValue acv,
                                 boolean isTypeAlert,
                                 int sessionId,
                                 org.hyperic.hq.bizapp.shared.MeasurementBoss mb)
                          throws MeasurementNotFoundException,
                                 SessionNotFoundException,
                                 SessionTimeoutException,
                                 TemplateNotFoundException,
                                 java.rmi.RemoteException

  Throws:
    `MeasurementNotFoundException`
    `SessionNotFoundException`
    `SessionTimeoutException`
    `TemplateNotFoundException`
    `java.rmi.RemoteException`

### exportProperties

    public void exportProperties(AlertConditionValue acv,
                                 javax.servlet.http.HttpServletRequest request,
                                 int sessionId,
                                 org.hyperic.hq.bizapp.shared.MeasurementBoss mb,
                                 boolean typeAlert)
                          throws SessionTimeoutException,
                                 SessionNotFoundException,
                                 MeasurementNotFoundException,
                                 java.rmi.RemoteException,
                                 TemplateNotFoundException

  Throws:
    `SessionTimeoutException`
    `SessionNotFoundException`
    `MeasurementNotFoundException`
    `java.rmi.RemoteException`
    `TemplateNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.